## mpfi 1.4

=== debian/changelog ===
mpfi (1.4-1) unstable; urgency=low

  * New upstream version.
  * Switch to quilt format.
  * Remove references to mpfr_random (closes: #590355).
  * Upgrade Standard-Version to 3.9.0 (no change needed).

 -- Laurent Fousse <laurent@komite.net>  Mon, 26 Jul 2010 14:11:18 +0200

mpfi (1.3.4~rc4~cvs20080519-1) unstable; urgency=low

  * Package current CVS version.
  * Add new dynamic library package (closes: #474080).
  * Upgrade Standard-Version to 3.7.3 (no change needed).
  * Drop cdbs.

 -- Laurent Fousse <laurent@komite.net>  Fri, 23 May 2008 16:18:30 +0200

mpfi (1.3.4~rc3-1) unstable; urgency=low

  * New upstream release candidate.
  * Upgrade Standard-Version to 3.7.2 (no change needed).

 -- Laurent Fousse <laurent@komite.net>  Mon, 22 Oct 2007 14:40:41 +0200

mpfi (1.3.3-4) unstable; urgency=low

  * Apply patch submitted by Sylvain Chevillard to fix
    a bug in trigonometric functions (closes: #400909).

 -- Laurent Fousse <laurent@komite.net>  Thu,  4 Jan 2007 16:48:22 +0100

mpfi (1.3.3-3) unstable; urgency=low

  * Apply mpfr-2.2.0 compatibility patch supplied by Patrick Pelissier
    (closes: #336703).

 -- Laurent Fousse <laurent@komite.net>  Tue,  1 Nov 2005 11:13:48 +0100

mpfi (1.3.3-2) unstable; urgency=low

  * Changed packaging to use cdbs.
  * Applied patch by Guillaume Melquiond to make mpfi usable with C++ code.
  * The description is now more explicit on the fact it is a library.

 -- Laurent Fousse <laurent@komite.net>  Mon,  5 Sep 2005 11:26:05 +0200

mpfi (1.3.3-1) unstable; urgency=low

  * Initial release (closes: #322534).

 -- Laurent Fousse <laurent@komite.net>  Wed, 10 Aug 2005 15:47:28 +0200
