=== debian/control ===
Source: mpfi
Priority: optional
Maintainer: Laurent Fousse <laurent@komite.net>
Build-Depends: debhelper (>= 7.0.0), autotools-dev, libmpfr-dev (>= 2.2.0.dfsg.1), libgmp3-dev, texinfo
Standards-Version: 3.9.0
Section: math
Homepage: http://mpfi.gforge.inria.fr/

Package: libmpfi-dev
Section: libdevel
Architecture: any
Depends: libgmp3-dev, libmpfr-dev (>= 2.2.0.dfsg.1-1), libmpfi0 (= ${binary:Version}), ${misc:Depends}
Description: multiple precision floating-point interval computation library
 This package provides a C library of functions for interval arithmetic
 computations with arbitrary precision.
 .
 The basic principle of interval arithmetic consists in enclosing every number
 by an interval containing it and being representable by machine numbers: for
 instance it can be stored as its lower and upper endpoints and these bounds
 are machine numbers, or as a centre and a radius which are machine numbers.
 .
 The arithmetic operations are extended for interval operands in such a way
 that the exact result of the operation belongs to the computed interval.
 .
 The purpose of an arbitrary precision interval arithmetic is on the one hand
 to get guaranteed results, thanks to interval computation, and on the other
 hand to obtain accurate results, thanks to multiple precision arithmetic. The
 MPFI library is built upon MPFR in order to benefit from the correct roundings
 provided by MPFR. Further advantages of using MPFR are its portability and
 compliance with the IEEE 754 standard for floating-point arithmetic. 

Package: libmpfi0
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: multiple precision floating-point interval computation library
 This package provides a C library of functions for interval arithmetic
 computations with arbitrary precision.
 .
 The basic principle of interval arithmetic consists in enclosing every number
 by an interval containing it and being representable by machine numbers: for
 instance it can be stored as its lower and upper endpoints and these bounds
 are machine numbers, or as a centre and a radius which are machine numbers.
 .
 The arithmetic operations are extended for interval operands in such a way
 that the exact result of the operation belongs to the computed interval.
 .
 The purpose of an arbitrary precision interval arithmetic is on the one hand
 to get guaranteed results, thanks to interval computation, and on the other
 hand to obtain accurate results, thanks to multiple precision arithmetic. The
 MPFI library is built upon MPFR in order to benefit from the correct roundings
 provided by MPFR. Further advantages of using MPFR are its portability and
 compliance with the IEEE 754 standard for floating-point arithmetic. 
 .
 This package provides the dynamic library.
