## mpfi 1.5

=== debian/changelog ===
mpfi (1.5-4) unstable; urgency=low

  * Build-depends on the new libgmp-dev package.

 -- Laurent Fousse <lfousse@debian.org>  Sun, 06 Mar 2011 22:23:11 +0100

mpfi (1.5-3) unstable; urgency=low

  * Apply patch by Nobuhiro Iwamatsu, fixing build on sh4
    (closes: #593420).

 -- Laurent Fousse <laurent@komite.net>  Wed, 18 Aug 2010 21:52:37 +0200

mpfi (1.5-2) unstable; urgency=low

  * Apply patch by Philippe Theveny to fix tis_zero.

 -- Laurent Fousse <laurent@komite.net>  Fri, 13 Aug 2010 16:11:44 +0200

mpfi (1.5-1) unstable; urgency=low

  * New upstream version.
  * Added Vcs-* links.

 -- Laurent Fousse <laurent@komite.net>  Fri, 13 Aug 2010 14:09:16 +0200

mpfi (1.5~r525-1) unstable; urgency=low

  * New upstream snapshot.

 -- Laurent Fousse <laurent@komite.net>  Tue, 27 Jul 2010 21:34:37 +0200
