=== debian/rules ===
--- 
+++ 
@@ -14,6 +14,11 @@
 export DEB_HOST_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 export DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
 
+with_check := yes
+ifneq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
+        with_check := disabled through DEB_BUILD_OPTIONS
+endif
+
 ifeq ($(DEB_BUILD_GNU_TYPE), $(DEB_HOST_GNU_TYPE))
   confflags += --build $(DEB_HOST_GNU_TYPE)
 else
@@ -29,6 +34,9 @@
 CFLAGS += -O3
 endif
 
+ifeq ($(DEB_BUILD_GNU_CPU),sh4)
+  CFLAGS += -mieee
+endif
 
 build: build-stamp
 build-stamp:
@@ -37,7 +45,11 @@
 	./configure $(confflags) --prefix=/usr \
 		--enable-shared
 	$(MAKE)
-
+ifeq ($(with_check),yes)
+  ifeq ($(DEB_BUILD_GNU_TYPE), $(DEB_HOST_GNU_TYPE))
+	MPFI_CHECK_RANDOMIZE=1 $(MAKE) check
+  endif
+endif
 	touch build-stamp
 
 clean:
