## mpfi 1.5.1

=== debian/changelog ===
mpfi (1.5.1-3) unstable; urgency=medium

  * Apply patch by Logan Rosen to fix FTBFS on ppc64el (closes: #734570).

 -- Laurent Fousse <lfousse@debian.org>  Sun, 09 Feb 2014 14:03:28 -0800

mpfi (1.5.1-2) unstable; urgency=low

  * Apply patch from Ubuntu fixing build for AArch64
    (closes: #727466).

 -- Laurent Fousse <lfousse@debian.org>  Wed, 13 Nov 2013 20:38:39 -0800

mpfi (1.5.1-1) unstable; urgency=low

  * New upstream release:
    + Fixes bug in sub_fr (closes: #674341).
    + Remove patch already applied upstream.

 -- Laurent Fousse <lfousse@debian.org>  Sat, 26 May 2012 01:55:23 +0000

mpfi (1.5-5) unstable; urgency=low

  * Properly switch to quilt format (closes: #643220).

 -- Laurent Fousse <lfousse@debian.org>  Tue, 27 Sep 2011 22:05:52 +0200
