=== debian/control ===
--- 
+++ 
@@ -1,15 +1,17 @@
 Source: mpfi
 Priority: optional
-Maintainer: Laurent Fousse <laurent@komite.net>
-Build-Depends: debhelper (>= 7.0.0), autotools-dev, libmpfr-dev (>= 2.2.0.dfsg.1), libgmp3-dev, texinfo
+Maintainer: Laurent Fousse <lfousse@debian.org>
+Build-Depends: debhelper (>= 7.0.0), dh-autoreconf, libmpfr-dev (>= 2.2.0.dfsg.1), libgmp-dev, texinfo
 Standards-Version: 3.9.0
 Section: math
 Homepage: http://mpfi.gforge.inria.fr/
+Vcs-Git: git://git.debian.org/collab-maint/mpfi.git
+Vcs-Browser: http://git.debian.org/?p=collab-maint/mpfi.git
 
 Package: libmpfi-dev
 Section: libdevel
 Architecture: any
-Depends: libgmp3-dev, libmpfr-dev (>= 2.2.0.dfsg.1-1), libmpfi0 (= ${binary:Version}), ${misc:Depends}
+Depends: libgmp-dev, libmpfr-dev (>= 2.2.0.dfsg.1-1), libmpfi0 (= ${binary:Version}), ${misc:Depends}
 Description: multiple precision floating-point interval computation library
  This package provides a C library of functions for interval arithmetic
  computations with arbitrary precision.
