=== debian/rules ===
#!/usr/bin/make -f

ifeq ($(DEB_BUILD_GNU_CPU),sh4)
  CFLAGS+=-mieee
endif

%:
	dh $@ --with autoreconf
