## mpfi 1.5.1+ds

=== debian/changelog ===
mpfi (1.5.1+ds-4) unstable; urgency=medium

  * RC bug fix release (Closes: #825600), harden libdev transition.

 -- Jerome Benoit <calculus@rezozer.net>  Sat, 04 Jun 2016 12:01:08 +0000

mpfi (1.5.1+ds-3) unstable; urgency=medium

  * Debianization:
    - debian/copyright, refresh;
    - debian/control:
      - Standards Version, bump to 3.9.8 (no change);
      - Vcs-*, secure;
      - debug symbol package, drop off in favour of automatic generation;
      - SONNAME/SOINDEX being removed from libdev package names, initiate;
    - debian/rules:
      - dpkg-buildflags, add hardening=+all;
      - debug symbol package, drop off (see above);
      - symlink policy for documentation directories, set;
    - debian/adhoc/examples, introduce;
    - debian/tests/*, introduce.

 -- Jerome Benoit <calculus@rezozer.net>  Mon, 09 May 2016 23:22:08 +0000

mpfi (1.5.1+ds-2) unstable; urgency=medium

  * RC bug fix release (Closes: #790509), stabilize libdev transition.

 -- Jerome Benoit <calculus@rezozer.net>  Tue, 30 Jun 2015 11:40:07 +0000

mpfi (1.5.1+ds-1) unstable; urgency=medium

  * New maintainer (Closes: #771883).
  * Debianization:
    - debian/copyright:
      - in DEP-5 format, bump;
      - Files-Excluded field, introduce;
      - refresh;
    - debian/control:
      - debhelper build-dep to >= 9, bump;
      - Standards Version 3.9.6, bump;
      - Build-Depends field, refresh;
      - Multi-Arch support, achieve (Closes: 737387);
      - Vcs-* headers, refresh;
    - debian/watch, provide;
    - debian/rules:
      - full dh integration, refresh;
      - build-arch/build-indep scheme, introduce;
      - get-orig-source uscan based target which downloads the currently
        packaged upstream tarball and repacks it wrt Files-Excluded;
      - default target which basically queries package status with uscan
        -- output in DEHS format;
    - debian/patches/:
      - patches in DEP-3 format;
      - autotoolization, refresh;
      - libtoolization:
        - script-version, create on fly;
        - library versionning, introduce;
      - minor and cosmetic fixes;
    - gpg-signature check support, neutralize.

 -- Jerome Benoit <calculus@rezozer.net>  Wed, 17 Jun 2015 12:22:05 +0000
