=== debian/control ===
--- 
+++ 
@@ -1,18 +1,30 @@
 Source: mpfi
+Section: math
 Priority: optional
-Maintainer: Laurent Fousse <lfousse@debian.org>
-Build-Depends: debhelper (>= 7.0.0), dh-autoreconf, libmpfr-dev (>= 2.2.0.dfsg.1), libgmp-dev, texinfo
-Standards-Version: 3.9.0
-Section: math
+Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
+Uploaders: Jerome Benoit <calculus@rezozer.net>
+Build-Depends:
+ debhelper (>= 9),
+ autotools-dev, gnulib, dh-autoreconf, libtool, cproto (>= 4.7l-4),
+ libmpfr-dev (>= 3.1), libgmp-dev (>= 2:6.0)
+Build-Depends-Indep:
+ texinfo, texlive-latex-base
+Standards-Version: 3.9.8
 Homepage: http://mpfi.gforge.inria.fr/
-Vcs-Git: git://git.debian.org/collab-maint/mpfi.git
-Vcs-Browser: http://git.debian.org/?p=collab-maint/mpfi.git
+Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/mpfi.git
+Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/mpfi.git
 
-Package: libmpfi-dev
-Section: libdevel
+Package: libmpfi0
+Provides: libmpfi
+Replaces: libmpfi (<< 1.5.1+ds-1)
+Section: libs
 Architecture: any
-Depends: libgmp-dev, libmpfr-dev (>= 2.2.0.dfsg.1-1), libmpfi0 (= ${binary:Version}), ${misc:Depends}
-Description: multiple precision floating-point interval computation library
+Pre-Depends: ${misc:Pre-Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Conflicts: libmpfi
+Suggests: libmpfi-doc (= ${source:Version})
+Multi-Arch: same
+Description: multiple precision floating-point interval computation library -- lib
  This package provides a C library of functions for interval arithmetic
  computations with arbitrary precision.
  .
@@ -29,13 +41,21 @@
  hand to obtain accurate results, thanks to multiple precision arithmetic. The
  MPFI library is built upon MPFR in order to benefit from the correct roundings
  provided by MPFR. Further advantages of using MPFR are its portability and
- compliance with the IEEE 754 standard for floating-point arithmetic. 
+ compliance with the IEEE 754 standard for floating-point arithmetic.
+ .
+ This package provides the dynamic library.
 
-Package: libmpfi0
-Section: libs
+Package: libmpfi-dev
+Section: libdevel
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
-Description: multiple precision floating-point interval computation library
+Replaces: libmpfi0-dev (<< 1.5.1+ds-3)
+Conflicts: libmpfi0-dev (<< 1.5.1+ds-3), libmpfi-dev (<< 1.5.1+ds-3)
+Pre-Depends: ${misc:Pre-Depends}
+Depends:
+ libmpfi0 (= ${binary:Version}), libmpfi-dev-common (= ${source:Version}),
+ libmpfr-dev, libgmp-dev, ${misc:Depends}
+Multi-Arch: same
+Description: multiple precision floating-point interval computation library -- libdev
  This package provides a C library of functions for interval arithmetic
  computations with arbitrary precision.
  .
@@ -52,6 +72,76 @@
  hand to obtain accurate results, thanks to multiple precision arithmetic. The
  MPFI library is built upon MPFR in order to benefit from the correct roundings
  provided by MPFR. Further advantages of using MPFR are its portability and
- compliance with the IEEE 754 standard for floating-point arithmetic. 
+ compliance with the IEEE 754 standard for floating-point arithmetic.
  .
- This package provides the dynamic library.
+ This package provides the static library and symbolic links needed for
+ development.
+
+Package: libmpfi-dev-common
+Section: libdevel
+Architecture: all
+Replaces: libmpfi-dev (<< 1.5.1+ds-1), libmpfi0-dev-common (<< 1.5.1+ds-3)
+Breaks: libmpfi-dev (<< 1.5.1+ds-1)
+Conflicts: libmpfi0-dev-common (<< 1.5.1+ds-3)
+Pre-Depends: ${misc:Pre-Depends}
+Depends: ${misc:Depends}
+Recommends: libmpfi-dev (=${binary:Version})
+Multi-Arch: foreign
+Description: multiple precision floating-point interval computation library -- headers
+ This package provides a C library of functions for interval arithmetic
+ computations with arbitrary precision.
+ .
+ The basic principle of interval arithmetic consists in enclosing every number
+ by an interval containing it and being representable by machine numbers: for
+ instance it can be stored as its lower and upper endpoints and these bounds
+ are machine numbers, or as a centre and a radius which are machine numbers.
+ .
+ The arithmetic operations are extended for interval operands in such a way
+ that the exact result of the operation belongs to the computed interval.
+ .
+ The purpose of an arbitrary precision interval arithmetic is on the one hand
+ to get guaranteed results, thanks to interval computation, and on the other
+ hand to obtain accurate results, thanks to multiple precision arithmetic. The
+ MPFI library is built upon MPFR in order to benefit from the correct roundings
+ provided by MPFR. Further advantages of using MPFR are its portability and
+ compliance with the IEEE 754 standard for floating-point arithmetic.
+ .
+ This package provides the headers needed by developers.
+
+Package: libmpfi-doc
+Section: doc
+Architecture: all
+Replaces: libmpfi-dev (<< 1.5.1+ds-1)
+Breaks: libmpfi-dev (<< 1.5.1+ds-1)
+Depends: ${misc:Depends}
+Suggests: libmpfi-dev (=${binary:Version}), pdf-viewer
+Multi-Arch: foreign
+Description: multiple precision floating-point interval computation library -- doc
+ This package provides a C library of functions for interval arithmetic
+ computations with arbitrary precision.
+ .
+ The basic principle of interval arithmetic consists in enclosing every number
+ by an interval containing it and being representable by machine numbers: for
+ instance it can be stored as its lower and upper endpoints and these bounds
+ are machine numbers, or as a centre and a radius which are machine numbers.
+ .
+ The arithmetic operations are extended for interval operands in such a way
+ that the exact result of the operation belongs to the computed interval.
+ .
+ The purpose of an arbitrary precision interval arithmetic is on the one hand
+ to get guaranteed results, thanks to interval computation, and on the other
+ hand to obtain accurate results, thanks to multiple precision arithmetic. The
+ MPFI library is built upon MPFR in order to benefit from the correct roundings
+ provided by MPFR. Further advantages of using MPFR are its portability and
+ compliance with the IEEE 754 standard for floating-point arithmetic.
+ .
+ This package provides the user manual.
+
+Package: libmpfi0-dev
+Section: oldlibs
+Priority: extra
+Architecture: all
+Depends: libmpfi-dev (>= ${source:Version}), libmpfi-dev (<< ${source:Version}.1~), ${misc:Depends}
+Multi-Arch: foreign
+Description: transitional dummy package
+ This is a transitional dummy package. It can safely be removed.
