## mpfi 1.5.2+ds

=== debian/changelog ===
mpfi (1.5.2+ds-1) unstable; urgency=medium

  * New upstream release.
  * Debianization:
    - debian/copyright:
      - Sources field, URI, secure;
      - Files-Excluded field, refresh;
      - copyright date, refresh;
    - debian/control:
      - debhelper, bump to 11;
      - Standards Version, bump to 4.1.3 (no change);
      - Priority field, reset from extra to optional;
    - debian/watch, bump to version 4;
    - debian/rules:
      - debhelper, bump to 11;
      - get-orig-source target, simplify;
      - override_dh_install(doc|example)s:
        --doc-main-package set up to libmpfi-doc;
    - debian/patches/*:
      - d/p/upstream-autotools-refresh.patch, update;
      - d/p/upstream-libtoolization-version_script.patch, update;
      - d/p/upstream-fix-version_mismatch.patch, introduce;
    - debian/adhoc/*, correct and refresh.

 -- Jerome Benoit <calculus@rezozer.net>  Sat, 13 Jan 2018 06:06:29 +0000
