=== debian/control ===
--- 
+++ 
@@ -4,12 +4,12 @@
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Jerome Benoit <calculus@rezozer.net>
 Build-Depends:
- debhelper (>= 9),
- autotools-dev, gnulib, dh-autoreconf, libtool, cproto (>= 4.7l-4),
+ debhelper (>= 11),
+ gnulib, libtool, cproto (>= 4.7l-4),
  libmpfr-dev (>= 3.1), libgmp-dev (>= 2:6.0)
 Build-Depends-Indep:
  texinfo, texlive-latex-base
-Standards-Version: 3.9.8
+Standards-Version: 4.1.3
 Homepage: http://mpfi.gforge.inria.fr/
 Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/mpfi.git
 Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/mpfi.git
@@ -139,7 +139,6 @@
 
 Package: libmpfi0-dev
 Section: oldlibs
-Priority: extra
 Architecture: all
 Depends: libmpfi-dev (>= ${source:Version}), libmpfi-dev (<< ${source:Version}.1~), ${misc:Depends}
 Multi-Arch: foreign
