## mpfi 1.5.3%2Bds

=== debian/changelog ===
mpfi (1.5.3+ds-3) unstable; urgency=medium

  * Debianization:
    - debian/control:
      - debhelper, bump to 12;
      - Standards Version, bump to 4.4.0 (no change);
      - libmpfi0-dev, discard (Closes: #940733);
      - Vcs-* fields, migration to Salsa;
    - debian/libmpfi0.symbols:
      - Build-Depends-Package, introduce;
    - debian/rules:
      - get-orig-source target, discard.

 -- Jerome Benoit <calculus@rezozer.net>  Thu, 26 Sep 2019 20:13:03 +0000

mpfi (1.5.3+ds-2) unstable; urgency=medium

  * RC bug fix release (Closes: #888560), harden d/control.
  * Debianization:
    - debian/control: see above;
    - debian/source/lintian-overrides, tag, rename.

 -- Jerome Benoit <calculus@rezozer.net>  Sat, 27 Jan 2018 13:25:14 +0000

mpfi (1.5.3+ds-1) unstable; urgency=medium

  * New upstream release.
  * Debianization:
    - debian/copyright:
      - Files-Excluded field, update;
      - format URI, secure;
    - debian/patches/*:
      - d/p/upstream-autotools-refresh.patch ,
      - d/p/upstream-libtoolization-version_script.patch , update;
      - d/p/upstream-fix-version_mismatch.patch ,
        d/p/upstream-source-warnings-silence.patch ,
        d/p/upstream-source-system_wide_includes.patch , integrated,
         thanks to the upstream team.

 -- Jerome Benoit <calculus@rezozer.net>  Thu, 18 Jan 2018 19:18:11 +0000
