## mpfi 1.5.3+ds

=== debian/changelog ===
mpfi (1.5.3+ds-5) unstable; urgency=medium

  * SBF: correct Maintainer address (Closes: #970758).
  * Debianization:
    - debian/control:
      - Maintainer address, correct;
      - Homepage URI, secure;
    - debian/copyright:
      - Format URI, correct.

 -- Jerome Benoit <calculus@rezozer.net>  Mon, 02 Nov 2020 20:52:39 +0000

mpfi (1.5.3+ds-4) unstable; urgency=medium

  * Debianization:
    - debian/copyright:
      - copyright year tuples, update;
    - debian/control:
      - Maintainer address, update;
      - Rules-Requires-Root, introduce and set to no;
      - Standards Version, bump to 4.5.0 (no change);
    - debian/tests:
      - d/t/build-examples, use AUTOPKGTEST_TMP ;
    - debian/rules:
      - override_dh_auto_build-indep target, compose;
      - override_dh_auto_install-indep target, fix;
    - debian/patches:
      - d/p/debianization.patch, introduce (Closes: #959697).

 -- Jerome Benoit <calculus@rezozer.net>  Tue, 05 May 2020 20:12:00 +0000
