=== debian/control ===
--- 
+++ 
@@ -1,18 +1,19 @@
 Source: mpfi
 Section: math
 Priority: optional
-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Science Maintainers <debian-science-maintainers@alioth-lists.debian.net>
 Uploaders: Jerome Benoit <calculus@rezozer.net>
+Rules-Requires-Root: no
 Build-Depends:
- debhelper (>= 11),
+ debhelper-compat (= 12),
  gnulib, libtool, cproto (>= 4.7l-4),
  libmpfr-dev (>= 3.1), libgmp-dev (>= 2:6.0)
 Build-Depends-Indep:
  texinfo, texlive-latex-base
-Standards-Version: 4.1.3
-Homepage: http://mpfi.gforge.inria.fr/
-Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/mpfi.git
-Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/mpfi.git
+Standards-Version: 4.5.0
+Homepage: https://mpfi.gforge.inria.fr/
+Vcs-Git: https://salsa.debian.org/science-team/mpfi.git
+Vcs-Browser: https://salsa.debian.org/science-team/mpfi
 
 Package: libmpfi0
 Provides: libmpfi
@@ -85,7 +86,7 @@
 Conflicts: libmpfi0-dev-common (<< 1.5.1+ds-3)
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends}
-Recommends: libmpfi-dev (=${binary:Version})
+Suggests: libmpfi-dev
 Multi-Arch: foreign
 Description: multiple precision floating-point interval computation library -- headers
  This package provides a C library of functions for interval arithmetic
@@ -114,7 +115,7 @@
 Replaces: libmpfi-dev (<< 1.5.1+ds-1)
 Breaks: libmpfi-dev (<< 1.5.1+ds-1)
 Depends: ${misc:Depends}
-Suggests: libmpfi-dev (=${binary:Version}), pdf-viewer
+Suggests: libmpfi-dev, pdf-viewer
 Multi-Arch: foreign
 Description: multiple precision floating-point interval computation library -- doc
  This package provides a C library of functions for interval arithmetic
@@ -136,11 +137,3 @@
  compliance with the IEEE 754 standard for floating-point arithmetic.
  .
  This package provides the user manual.
-
-Package: libmpfi0-dev
-Section: oldlibs
-Architecture: all
-Depends: libmpfi-dev (>= ${source:Version}), libmpfi-dev (<< ${source:Version}.1~), ${misc:Depends}
-Multi-Arch: foreign
-Description: transitional dummy package
- This is a transitional dummy package. It can safely be removed.
