=== debian/watch ===
version=4
opts=repack,repacksuffix=+ds,compression=xz,dversionmangle=s/\+ds//,uversionmangle=s/-(rc\d*)$/~$1/ \
https://gforge.inria.fr/frs/?group_id=157 \
	(?:|.*/)mpfi(?:[_\-]v?|)(\d[^\s/]*)\.(?:tar\.xz|tar\.bz2|tar\.gz)
