## mpfi 1.5.4+ds

=== debian/changelog ===
mpfi (1.5.4+ds-4) unstable; urgency=medium

  * FTBFS fix release, technical typo in test/type_js introduced type mismatch
    (Closes: #1086340).
  * Debianization:
    - d/patches/*:
      - d/p/upstream-fix-tests-gcc14-technical_typo.patch, introduced.

 -- Jerome Benoit <calculus@rezozer.net>  Sun, 10 Nov 2024 19:59:30 +0000

mpfi (1.5.4+ds-3) unstable; urgency=medium

  * Debianization:
    - d/watch, correct;
    - d/control:
      - Standards-Version, bump to version 4.7.0 (no change);

 -- Jerome Benoit <calculus@rezozer.net>  Sat, 18 May 2024 11:20:38 +0000

mpfi (1.5.4+ds-2) unstable; urgency=medium

  * Debianization:
    - d/patches/*:
      - d/p/upstream-tests-set_ld-not64bits-SKIP.patch, introduce.

 -- Jerome Benoit <calculus@rezozer.net>  Thu, 21 Mar 2024 01:40:56 +0000

mpfi (1.5.4+ds-1) unstable; urgency=medium

  * New upstream nano release (Closes: #1067068).
  * Debianization:
    - d/libmpfi0.symbols, refresh;
    - d/p/upstream-source-cleanup.patch, introduce;
    - d/a/examples, copyright year-tuples, update;
    - d/README.source, introduce.

 -- Jerome Benoit <calculus@rezozer.net>  Tue, 19 Mar 2024 20:50:48 +0000

mpfi (1.5.3+ds-7) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster (oldstable):
    + Build-Depends: Drop versioned constraint on cproto, libgmp-dev and
      libmpfr-dev.
    + libmpfi-dev: Drop versioned constraint on libmpfi-dev and libmpfi0-dev in
      Conflicts.
    + libmpfi-dev: Drop versioned constraint on libmpfi0-dev in Replaces.
    + libmpfi-dev-common: Drop versioned constraint on libmpfi-dev in Replaces.
    + libmpfi-dev-common: Drop versioned constraint on libmpfi-dev in Breaks.
    + libmpfi-doc: Drop versioned constraint on libmpfi-dev in Replaces.
    + libmpfi-doc: Drop versioned constraint on libmpfi-dev in Breaks.
  * Remove an obsolete maintscript entry.
  * Update renamed lintian tag names in lintian overrides.

  [ Jerome Benoit ]
  * Update standards version to 4.6.2, no changes needed.
  * libmpfi-dev{,-common}: Discard lintian-overrides.
  * Update copyright year-tuples.
  + libmpfi-dev-common: move to Replaces/Conflicts scheme
    without versioned constraint.

 -- Jerome Benoit <calculus@rezozer.net>  Mon, 18 Mar 2024 10:40:59 +0000

mpfi (1.5.3+ds-6) unstable; urgency=medium

  * Debianization:
    - d/control:
      - Homepage field, update;
      - debhelper, migrate to version 13 (discar d/compat);
      - Standards-Version, bump to version 4.6.0 (no change);
    - d/rules:
      - override_dh_missing target, provide;
    - d/copyright:
      - Upstream-Contact field, refresh;
      - Source field, update;
      - copyright year tuples, update;
    - d/patches:
      - d/p/debianization-examples.patch, provide Forwarded field;
    - d/watch, migration to gitlab.inria.fr.

 -- Jerome Benoit <calculus@rezozer.net>  Fri, 15 Oct 2021 08:03:28 +0000
