=== debian/control ===
--- 
+++ 
@@ -5,13 +5,13 @@
 Uploaders: Jerome Benoit <calculus@rezozer.net>
 Rules-Requires-Root: no
 Build-Depends:
- debhelper-compat (= 12),
- gnulib, libtool, cproto (>= 4.7l-4),
- libmpfr-dev (>= 3.1), libgmp-dev (>= 2:6.0)
+ debhelper-compat (= 13),
+ gnulib, libtool, cproto,
+ libmpfr-dev, libgmp-dev
 Build-Depends-Indep:
  texinfo, texlive-latex-base
-Standards-Version: 4.5.0
-Homepage: https://mpfi.gforge.inria.fr/
+Standards-Version: 4.7.0
+Homepage: https://gitlab.inria.fr/mpfi/mpfi
 Vcs-Git: https://salsa.debian.org/science-team/mpfi.git
 Vcs-Browser: https://salsa.debian.org/science-team/mpfi
 
@@ -49,8 +49,6 @@
 Package: libmpfi-dev
 Section: libdevel
 Architecture: any
-Replaces: libmpfi0-dev (<< 1.5.1+ds-3)
-Conflicts: libmpfi0-dev (<< 1.5.1+ds-3), libmpfi-dev (<< 1.5.1+ds-3)
 Pre-Depends: ${misc:Pre-Depends}
 Depends:
  libmpfi0 (= ${binary:Version}), libmpfi-dev-common (= ${source:Version}),
@@ -81,9 +79,8 @@
 Package: libmpfi-dev-common
 Section: libdevel
 Architecture: all
-Replaces: libmpfi-dev (<< 1.5.1+ds-1), libmpfi0-dev-common (<< 1.5.1+ds-3)
-Breaks: libmpfi-dev (<< 1.5.1+ds-1)
-Conflicts: libmpfi0-dev-common (<< 1.5.1+ds-3)
+Replaces: libmpfi0-dev-common
+Breaks: libmpfi0-dev-common
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends}
 Suggests: libmpfi-dev
@@ -112,8 +109,6 @@
 Package: libmpfi-doc
 Section: doc
 Architecture: all
-Replaces: libmpfi-dev (<< 1.5.1+ds-1)
-Breaks: libmpfi-dev (<< 1.5.1+ds-1)
 Depends: ${misc:Depends}
 Suggests: libmpfi-dev, pdf-viewer
 Multi-Arch: foreign
