=== debian/rules ===
--- 
+++ 
@@ -47,3 +47,6 @@
 
 override_dh_compress-indep:
 	dh_compress -X.pdf -Xexamples
+
+override_dh_missing:
+	dh_missing -X.la
