=== debian/tests/control ===
Tests: build-examples
Depends: libmpfi-doc, libmpfi-dev, build-essential
